/*
 *  ExcelDDEHotConnection. 
 * 
 *  AdviseEventArgs
 * 
 * :   Data  ExcelDDEHotConnection
 * 
 *  :  
 * 
 *    .NET  PFSoft.
 * 
 * PFSoft, 
 *  
 * 
 * 
 * E-mail: rovshan_gasanoff@psoft.com
 * WEB   : www.pfsoft.com
 * 
 * 3  2005
 * 
 *         "     MS Excel  DDE "
 *           ,     
 * .            .
 *       ,          
 * .
 * 
 * 
 */

using System;

namespace PFSoft.ExcelDDE
{

	/// <summary>
	///   AdviseDelegate. 
	///         -   . 
	///        .  ExcelDDEHotConnection
	///         OnData    .
	/// (Excel,     DDE     .   
	///   ,        ,      .
	/// ..      , ,    
	///      .   ,      
	///  ,    Data       .
	/// </summary>
	public delegate void AdviseDelegate(object sender, AdviseEventArgs args);


	/// <summary>
	///   OnData.  
	/// </summary>
	public class AdviseEventArgs:EventArgs
	{

		private ItemDescriptor _ItemDescriptor;
		/// <summary>
		///   .    
		///    .  
		///    Data. 
		/// </summary>
		public ItemDescriptor ItemDescriptor
		{
			get { return _ItemDescriptor; }
		}

		private TopicDescriptor _TopicDescriptor;
		/// <summary>
		///  
		/// </summary>
		public TopicDescriptor TopicDescriptor
		{
			get { return _TopicDescriptor; }
		}

		/// <summary>
		///   OnData
		/// </summary>
		/// <param name="itemDescriptor"></param>
		/// <param name="topicDescriptor"></param>
		public AdviseEventArgs(ItemDescriptor itemDescriptor, TopicDescriptor topicDescriptor)
		{
			this._ItemDescriptor = itemDescriptor;
			this._TopicDescriptor = topicDescriptor;
		}
	}
}
