/*
 *  ExcelDDEHotConnection. 
 * 
 *  ItemDescriptor. 
 * :   -  
 * 
 * 
 *  :  
 * 
 *    .NET  PFSoft.
 * 
 * 
 * PFSoft, 
 *  
 * 
 * 
 * E-mail: rovshan_gasanoff@psoft.com
 * WEB   : www.pfsoft.com
 * 
 * 3  2005
 * 
 *         "     MS Excel  DDE "
 *           ,     
 * .            .
 *       ,          
 * .
 * 
 * 
 */

using System;
using System.Runtime.InteropServices;
using System.Collections;

namespace PFSoft.ExcelDDE
{

	/// <summary>
	///  -  (   DDE)
	/// </summary>
	public class ItemDescriptor
	{
		#region  
		private int _Row = 1;
		/// <summary>
		///   
		/// </summary>
		public int Row
		{
			get { return _Row; }
		}

		private int _Col = 1;
		/// <summary>
		///   
		/// </summary>
		public int Col
		{
			get { return _Col; }
		}
		/// <summary>
		///     
		///   DDE  MS Excel
		/// </summary>
		/// <returns></returns>
		public string Item
		{
			get { return "R" + _Row.ToString() + "C" + _Col.ToString(); }
		}
		#endregion

		#region //  
		private byte[] _Data = new byte[]{0};
		/// <summary>
		///   
		/// </summary>
		public byte[] Data
		{
			get { return _Data; }
		}

		/// <summary>
		///         .
		///   ,        
		///  ,   true,      
		///    false;
		/// </summary>
		/// <param name="data"></param>
		/// <returns></returns>
		internal bool SetData(byte[] data)
		{
			//  
			if (data.Length==_Data.Length)
			{
				//   
				for(int i = 0; i<data.Length; i++)
					if(data[i]!=_Data[i])
					{
						_Data = data;
						//   
						return true;
					}
				//  
				return false;
			}
			else
				_Data = data;
			//   
			return true;
		}
		#endregion

		#region  
		/// <summary>
		///  
		/// </summary>
		/// <param name="book"></param>
		/// <param name="sheet"></param>
		/// <param name="row"></param>
		/// <param name="col"></param>
		public ItemDescriptor(int row, int col)
		{
			_Row = row;
			_Col = col;
		}

		#endregion

		public override string ToString()
		{
			return Item;
		}

	}

}
