/*
 *  ExcelDDEHotConnection. 
 * 
 *  ExcelDDEHotConnection. 
 * :  
 * 
 * 
 *  :  
 * 
 *    .NET  PFSoft.
 * 
 * 
 * PFSoft, 
 *  
 * 
 * 
 * E-mail: rovshan_gasanoff@psoft.com
 * WEB   : www.pfsoft.com
 * 
 * 3  2005
 * 
 *         "     MS Excel  DDE "
 *           ,     
 * .            .
 *       ,          
 * .
 * 
 * 
 */

using System;
using System.Text;

namespace PFSoft.ExcelDDE
{
	/// <summary>
	///  -  "" DDE   Excel
	///     
	///    
	/// </summary>
	public class ExcelDDEHotConnection: IDisposable
	{

		private AdviseDelegate _OnData = null;
		/// <summary>
		///       . 
		///        ,  .
		/// </summary>
		/// <param name="e"></param>
		protected virtual void OnData(AdviseEventArgs e)
		{
			if (_OnData!=null)
				_OnData(this, e);
		}
		/// <summary>
		///        -  .
		///     ,    .
		/// </summary>
		public event AdviseDelegate Data
		{
			add    
			{ 
				_OnData += value; 
			}
			remove 
			{ 
				if(_OnData!=null) 
					_OnData -= value; 
			}
		}

		#region//   

		//   -     DDE
		private DDECallBackDelegate _DDECallBack = null;

		private IntPtr DDECallBack(
			uint uType, 
			uint uFmt, 
			IntPtr hConv,  
			IntPtr hsz1, 
			IntPtr hsz2, 
			IntPtr hData, 
			uint dwData1, 
			uint dwData2)
		{
			switch(uType)
			{
					//      
				case DDEML.XTYP_ADVDATA:
					//      
					StringBuilder psz1 = new StringBuilder(256);
					DDEML.DdeQueryString(idInst, hsz1, psz1, (uint)psz1.Capacity, DDEML.CP_WINANSI); 
					//       
					StringBuilder psz2 = new StringBuilder(256);
					DDEML.DdeQueryString(idInst, hsz2, psz2, (uint)psz2.Capacity, DDEML.CP_WINANSI);
					//    
					uint length = DDEML.DdeGetData(hData, null, 0, 0);
					//   
					byte[] data = new byte[length];
					//  
					length = DDEML.DdeGetData(hData, data, (uint)data.Length, 0);
					//      
					TopicDescriptor topic = Topics[psz1.ToString()];
					//       
					ItemDescriptor item = topic[psz2.ToString()];
					// ,      ,  ,      
					if (item.SetData(data))
						OnData(new AdviseEventArgs(item, topic));
					//   
					return new IntPtr(DDEML.DDE_FACK);
			}
			//      
			return IntPtr.Zero;
		}
		#endregion

		private TopicDescriptorCollection _Topics;
		/// <summary>
		///  
		/// </summary>
		public TopicDescriptorCollection Topics
		{
			get { return _Topics; }
		}


		#region//   


		//  
		private uint idInst = 0;
		/// <summary>
		///  
		/// </summary>
		public ExcelDDEHotConnection()
		{
			//  -    
			_DDECallBack = new DDECallBackDelegate(DDECallBack);
			//    DDEML
			DDEML.DdeInitialize(ref idInst, _DDECallBack, 0, 0);
			//   
			_Topics = new TopicDescriptorCollection(idInst);
		}

		/// <summary>
		///  
		/// </summary>
		/// <param name="disposing"></param>
		private void Dispose(bool disposing)
		{
			//   
			_Topics.Dispose();
			//   DDEML
			DDEML.DdeUninitialize(idInst);
			//      
			if(disposing)
				GC.SuppressFinalize(this);
		}

		/// <summary>
		///   
		/// </summary>
		public virtual void Dispose()
		{
			Dispose(true);
		}

		/// <summary>
		///   
		/// </summary>
		~ExcelDDEHotConnection()
		{
			Dispose(false);
		}
		#endregion
	}
}
